import { NTable } from '../interface';
export declare function mergeObject<ReturnObject extends object>(...objects: Partial<ReturnObject>[]): ReturnObject;
export declare function getPathValue<ValueType, ObjectType extends object>(record: ObjectType, path?: NTable.TDataIndex): ValueType | null;
interface TGetColumnKeyColumn {
    key?: NTable.TKey;
    dataIndex?: NTable.TDataIndex;
}
export declare function getColumnsKey(columns: readonly TGetColumnKeyColumn[]): NTable.TKey[];
export declare function validateValue<T>(value: T): value is T & {};
export {};
